> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Timeline



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/revisions/timeline
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/revisions/timeline:
    get:
      tags:
        - Project Revisions
      summary: Timeline
      operationId: ProjectRevisionsController_timeline_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: includeArchived
          required: false
          in: query
          schema:
            default: 'false'
            type: string
            enum:
              - 'true'
              - 'false'
        - name: q
          required: false
          in: query
          schema:
            type: string
            maxLength: 200
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectRevisionTimelineResponseDto'
components:
  schemas:
    ProjectRevisionTimelineResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/IssueTimelineEntryDto'
              - $ref: '#/components/schemas/UnlinkedRevisionTimelineEntryDto'
              - $ref: '#/components/schemas/VersionTimelineEntryDto'
            discriminator:
              propertyName: kind
        archivedCount:
          type: number
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - archivedCount
        - nextCursor
        - hasMore
    IssueTimelineEntryDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - issue
        issue:
          $ref: '#/components/schemas/RevisionDto'
        revisions:
          type: array
          items:
            $ref: '#/components/schemas/RevisionDto'
        issueContextOnly:
          type: boolean
        issueCoversSlot:
          type: boolean
      required:
        - kind
        - issue
        - revisions
        - issueContextOnly
    UnlinkedRevisionTimelineEntryDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - unlinked-revision
        revision:
          $ref: '#/components/schemas/RevisionDto'
      required:
        - kind
        - revision
    VersionTimelineEntryDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - version
        version:
          $ref: '#/components/schemas/RevisionDto'
      required:
        - kind
        - version
    RevisionDto:
      type: object
      properties:
        type:
          enum:
            - version
            - issue
            - revision
          type: string
        parentRevisionId:
          type: string
          nullable: true
          description: BigInt string
        rootRevision:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/RevisionRootDto'
        id:
          type: string
        label:
          type: string
          nullable: true
        releaseType:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        issueDate:
          type: string
        notes:
          type: string
          nullable: true
        actorUserId:
          type: string
          nullable: true
        actorName:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        lineCount:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        archivedAt:
          type: string
          nullable: true
        archivedByName:
          type: string
          nullable: true
        isChainHead:
          type: boolean
      required:
        - type
        - parentRevisionId
        - rootRevision
        - id
        - label
        - releaseType
        - issueDate
        - notes
        - actorUserId
        - actorName
        - sourceId
        - lineCount
        - createdAt
        - updatedAt
        - archivedAt
        - archivedByName
        - isChainHead
    RevisionRootDto:
      type: object
      properties:
        id:
          type: string
          description: BigInt string
        label:
          type: string
          nullable: true
        issueDate:
          type: string
      required:
        - id
        - label
        - issueDate

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.